#!/bin/bash 
# setvariabili.sh
# vers. 1.0.2

######################################################################
# vers. 1.0.2 - 10 gen 2007 inserito stty -isig x non bloccare
#                           l'esecuzione dello script

stty -isig

# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	exit
fi

######################################################################
# Variabili d'ambiente

# NOTA: tutti i files contenenti le variabili d'ambiente devono essere
#  sempre  presenti su /sibac/variabili 

if test  ! -d /sibac ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY '/sibac' !!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir /sibac
	sleep 3
fi
if test  ! -d /sibac/variabili ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY '/sibac/variabili' !!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir /sibac/variabili
	sleep 3
fi

if test  ! -d /sibac/tmp ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY TEMPORANEA!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir /sibac/tmp
	sleep 3
fi

######################################################################

/usr/bin/clear

dir_variabili="/sibac/variabili"

floppy=`cat $dir_variabili/floppy`
echo -e " 1 - Device utilizzato per gli aggiornamenti da floppy ($floppy): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/floppy
fi

mediafd=`cat $dir_variabili/mediafd`
echo -e " 2 - Percorso valido per gli aggiornamenti da floppy ($mediafd): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/mediafd
fi

masterizzatore=`cat $dir_variabili/masterizzatore`
echo -e " 3 - Device utilizzato per le copie su cd-rom ($masterizzatore): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/masterizzatore
fi

mediacd=`cat $dir_variabili/mediacd`
echo -e " 4 - Percorso valido per gli aggiornamenti da cdrom ($mediacd): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/mediacd
fi

nastro=`cat $dir_variabili/nastro`
echo -e " 5 - Device utilizzato per le copie su nastro ($nastro): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/nastro
fi

id_sistema=`cat $dir_variabili/id_sistema` 
echo -e " 6 - Identificativo di sistema ($id_sistema): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/id_sistema
fi

dir_ambiente=`cat $dir_variabili/dir_ambiente` 
echo -e " 7 - Directory ambiente SIBAC ($dir_ambiente): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/dir_ambiente
fi

dir_scripts=`cat $dir_variabili/dir_scripts` 
echo -e " 8 - Directory per gli scripts ($dir_scripts): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/dir_scripts
fi

dir_installazione=`cat $dir_variabili/dir_installazione` 
echo -e " 9 - Directory utilizzata per l'installazione ($dir_installazione): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/dir_installazione
fi

dir_aggiornamenti=`cat $dir_variabili/dir_aggiornamenti` 
echo -e "10 - Directory utilizzata per gli aggiornamenti ($dir_aggiornamenti): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/dir_aggiornamenti
fi

dir_copieinterne=`cat $dir_variabili/dir_copieinterne` 
echo -e "11 - Directory utilizzata per le copie interne ($dir_copieinterne): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/dir_copieinterne
fi

file_inst=`cat $dir_variabili/file_inst` 
echo -e "12 - Nome file utilizzato per installazione programmi ($file_inst): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/file_inst
fi

file_agg=`cat $dir_variabili/file_agg` 
echo -e "13 - Nome file utilizzato per aggiornamento programmi ($file_agg): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/file_agg
fi

codicecliente=`cat $dir_variabili/codicecliente` 
echo -e "14 - Codice Utente ($codicecliente): \c"
read variabile
if test ! -z $variabile ; then
	echo $variabile > $dir_variabili/codicecliente
fi

