#!/bin/bash 
# creaaggiornamenti.sh
# vers. 1.0.2
stty -isig

######################################################################
# vers. 1.0.2 - 10 gen 2007 inserito stty -isig x non bloccare
#                           l'esecuzione dello script

clear

# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	exit
fi

# Cancello i vecchi archivi degli aggiornamenti
echo -e "---------------------------------------------"
echo -e "Cancello i vecchi archivi degli aggiornamenti"
rm -rf *.tar.gz *.tar.bz2
echo -e "---------------------------------------------"
echo -e "                 FATTO!                      "
echo -e "---------------------------------------------"
# IMPORTANTE!!!!
# questa directory deve contenere esclusivamente le cartelle relative 
# gli aggiornamenti di SIBAC
# per ogni cartella di procedura creo un file in formato tar.gz contenente
# i programmi da aggiornare
echo -e "---------------------------------------------"
echo -e "Creo gli archivi contenenti gli aggiornamenti"
echo -e "                                             "
echo -e "un archivio per procedura......              "
echo -e "---------------------------------------------"
for mem in *
do
echo -e "Procedura: $mem"
sleep 3
tar cvfz $mem.tar.gz $mem
clear
done

# Raggruppo tutti i files in formato tar in un unico file (tar.bz2)
echo -e "---------------------------------------------"
echo -e "Creo il file contenentie gli aggiornamenti di"
echo -e "tutte le procedure..........                 "
echo -e "---------------------------------------------"
sleep 3
tar cvfj aggiornamento.tar.bz2 *.tar.gz
rm -rf *.tar.gz 
echo -e "---------------------------------------------"
echo -e "                 FATTO!                      "
echo -e "---------------------------------------------"

